class ArmatureExporter:
	def export_to_file(self, context, out_fn):
		obj = context.active_object

		statements = self.export_armature(context, obj)

		with open(out_fn, "w") as out_file:
			for s in statements:
				s.write_to_file(out_file)

	def export_armature(self, obj):
		if obj.type!="ARMATURE":
			raise Exception("Object is not an armature")

		from .armature import Armature
		armature = Armature(obj.data)
		armature.sort_links()

		from .datafile import Statement
		statements = []

		for l in armature.links:
			st = Statement("link", l.name)
			st.sub.append(Statement("index", l.index))
			if l.parent:
				st.sub.append(Statement("parent", l.parent.name))
			st.sub.append(Statement("base", *tuple(l.base)))
			statements.append(st)

		return statements
